> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a webhook setting url



## OpenAPI

````yaml /openapi.yml patch /api/v2/webhooks/{webhookId}/url
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/webhooks/{webhookId}/url:
    patch:
      tags:
        - Webhooks
      summary: Updates a webhook setting url
      operationId: api-webhook-patch-url
      parameters:
        - name: webhookId
          in: path
          description: The webhook that you want to update.
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookUriRequest'
            examples:
              Request Example:
                $ref: '#/components/examples/UpdateWebhookUriRequestExample'
      responses:
        '200':
          description: '200'
components:
  schemas:
    UpdateWebhookUriRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: Your server URL to receive the notifications from Paybyrd
  examples:
    UpdateWebhookUriRequestExample:
      value:
        url: https://your-url.com/webhook
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````